const reminderFoxBundle = document.getElementById("reminderFox-bundle");  

function loadAlarm() {
		var dateString = window.arguments[0].reminderDate;
		var timeString = window.arguments[0].reminderTime;
		var reminderString = window.arguments[0].reminderText;
		var important = window.arguments[0].importantStatus;
		
		document.getElementById("reminderDateText").setAttribute("value", dateString);
		document.getElementById("reminderTimeText").setAttribute("value", timeString);
		document.getElementById("reminderDescriptionText").setAttribute("value", reminderString);				
		if ( important == "true" ) {
				document.getElementById("reminderDescriptionText").setAttribute("style", "color: red;");
		}
		
		playAlarmSound();

}

function playAlarmSound() {
	// play a sound for notification (if the user elects to)
	try {
		var playSound = true;
		try {
			playSound = reminderFox_prefs.getBoolPref(REMINDER_FOX_PREF + "." +  REMINDER_FOX_ALARM_SOUND);
		}
		catch ( e) {
		}
		if ( playSound ) {
			reminderFox_playSound();
	  	} // end if		
	}
	catch ( e ) {
	}
}


function reminderFox_alarmDone() {
	window.close();
}

function reminderFox_alarmChooseDone() {
	if ( 	document.getElementById("snoozeButton").getAttribute( "default" ) == true ||
		document.getElementById("snoozeButton").getAttribute( "default" ) == "true"	) {
		reminderFox_snooze();
	}
	else {
		reminderFox_alarmDone();
	}
}

function reminderFox_snoozeTimeChanged() {
	document.getElementById("snoozeButton").setAttribute( "default", true );
	document.getElementById("okButton").setAttribute( "default", false );
}

function reminderFox_snooze() {
		var alarmId = window.arguments[0].currentAlarmId;
		var dateString = window.arguments[0].reminderDate;
		var timeString = window.arguments[0].reminderTime;
		var reminderString = window.arguments[0].reminderText;
		var important = window.arguments[0].importantStatus;
				
		var snoozeTimeList = document.getElementById("reminderFox-snoozeTime");	
		var snoozeTime = snoozeTimeList.label;
		if ( reminderFox_isInteger( snoozeTime ) ) {
			var currentTime = new Date().getTime();
			var alarmTime = currentTime + (snoozeTime*60000);		
					
			var windowManager = Components.classes["@mozilla.org/appshell/window-mediator;1"].getService();
			var windowManagerInterface = windowManager.QueryInterface(Components.interfaces.nsIWindowMediator);
			var windowEnumerator =  reminderFox_getWindowEnumerator();
	
			if (windowEnumerator.hasMoreElements()) {
				var oldestWindow = windowEnumerator.getNext();
				// add to list
				oldestWindow.reminderFox_alarmList.length = oldestWindow.reminderFox_alarmList.length + 1;
				oldestWindow.reminderFox_alarmList[oldestWindow.reminderFox_alarmList.length - 1]  = alarmId + ":"  + alarmTime + reminderFox_SNOOZE_CONST;
				oldestWindow.setTimeout('reminderFox_showAlarm("'+dateString+'","'+timeString +'","'+alarmId +'","'+alarmTime+ '","'+reminderString + '","'+important+'")', snoozeTime*60000);			
			}		
		}
	window.close();
}


